GSI Forum
GSI Helmholtzzentrum für Schwerionenforschung

Home » PANDA » PandaRoot » Bugs, Fixes, Releases » Installing panda trunk on MAC OSX 10.11.5
Installing panda trunk on MAC OSX 10.11.5 [message #21324] Wed, 12 July 2017 16:34 Go to next message
Walter Ikegami Andersson is currently offline  Walter Ikegami Andersson
Messages: 19
Registered: November 2014
occasional visitor
From: *eduroam.uu.se
Dear Panda developers,

I've encountered the following error message when installing pandaroot on my mac:
[ 12%] Linking Fortran shared library ../../lib/libDpmEvtGen.dylib
ld: file not found: @rpath/libNet.6.08.so for architecture x86_64
collect2: error: ld returned 1 exit status
make[2]: *** [lib/libDpmEvtGen.0.0.0.dylib] Error 1
make[1]: *** [pgenerators/DpmEvtGen/CMakeFiles/DpmEvtGen.dir/all] Error 2
make: *** [all] Error 2

I'm using FairSoft_mar17 and FairRoot_v-17.03. What could be wrong?

Thanks in advance,
Walter
Re: Installing panda trunk on MAC OSX 10.11.5 [message #21331 is a reply to message #21324] Wed, 12 July 2017 17:49 Go to previous messageGo to next message
Radoslaw Karabowicz is currently offline  Radoslaw Karabowicz
Messages: 108
Registered: June 2004
Location: GSI
continuous participant
From: *dyn.telefonica.de
Hi Walter,

Can you have a look into your $SIMPATH/lib/root directory if you have such a file?
ls $SIMPATH/lib/root/libNet*

I guess that you have a dylib, not a .so.
I think the problem comes from the fact the DpmEvtGen/CMakeLists.txt file uses
old style, and he somehow does not realise that he's on mac and should be looking
for .dylib file.

As a quick solution, try to link the proper .dylib to corresponding .so file.

yours
radek
Re: Installing panda trunk on MAC OSX 10.11.5 [message #21347 is a reply to message #21324] Fri, 14 July 2017 10:23 Go to previous message
Walter Ikegami Andersson is currently offline  Walter Ikegami Andersson
Messages: 19
Registered: November 2014
occasional visitor
From: *eduroam.uu.se
Hello Radek,

I checked the root library and there is a file there called libNet.6.08.so with the proper .so extension.

Any other ideas on what could be wrong or where I can check for errors?

Best regards,
Walter
Previous Topic: Still problem with external packages & Root 6
Next Topic: fails to install PandaRoot on Kronos
Goto Forum:
  


Current Time: Wed Aug 12 02:47:30 CEST 2020

Total time taken to generate the page: 0.02472 seconds